Bug 1177388 - torbrowser-launcher gives error checking for updates and python-txsocksx package is missing
Summary: torbrowser-launcher gives error checking for updates and python-txsocksx pack...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: torbrowser-launcher
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Mayr
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1179947 1179949
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-26 21:03 UTC by Minus Zero
Modified: 2015-03-13 17:24 UTC (History)
5 users (show)

Fixed In Version: torbrowser-launcher-0.1.9-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-09 08:30:39 UTC


Attachments (Terms of Use)

Description Minus Zero 2014-12-26 21:03:30 UTC
I get the those errors and the dl fails.

Comment 1 Mohammed Arafa 2015-01-01 03:52:40 UTC
i get the error checking for updates error too
but apparently it is due to a missing python package #1119063

Comment 2 Mohammed Arafa 2015-01-01 03:53:01 UTC
bug 1119063 even

Comment 3 Christian Stadelmann 2015-01-01 20:35:43 UTC
Is there any workaround until python-service-identity is available?

Comment 4 Robert Mayr 2015-01-01 21:06:07 UTC
Sadly not, I'm also in contact with upstream for this, but we should have a bugfix update soon (python-service-identity also has non packaged dependencies). So just stay tuned, thanks ;)

Comment 5 Robert Mayr 2015-01-07 22:38:24 UTC
I have an update here.
Dependencies of python-service-identity are going into stable soon and we can package it then.

Also I'va packaged python-txsocksx and its dependency python-parsley, I'm adding them as blocker in this ticket, because both are in review now.

Comment 6 Robert Mayr 2015-01-14 13:04:51 UTC
python-txsocksx has been pushed to updates right now. Once service-identity is ready too I'll build a new release of torbrowser-launcher and close this bug with it.

If you want give karma for python-txsocksx and python-parsley.

Comment 7 Fedora Update System 2015-01-30 20:41:22 UTC
torbrowser-launcher-0.1.9-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/torbrowser-launcher-0.1.9-1.fc21

Comment 8 Mohammed Arafa 2015-01-30 21:02:46 UTC
karma added - it works

Comment 9 Fedora Update System 2015-02-01 00:26:05 UTC
Package torbrowser-launcher-0.1.9-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing torbrowser-launcher-0.1.9-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1499/torbrowser-launcher-0.1.9-1.fc21
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2015-02-25 15:20:40 UTC
torbrowser-launcher-0.1.8-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/torbrowser-launcher-0.1.8-1.fc22

Comment 11 Fedora Update System 2015-02-25 15:21:49 UTC
torbrowser-launcher-0.1.8-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/torbrowser-launcher-0.1.8-1.fc21

Comment 12 Fedora Update System 2015-03-02 23:08:36 UTC
torbrowser-launcher-0.1.9-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/torbrowser-launcher-0.1.9-2.fc22

Comment 13 Fedora Update System 2015-03-02 23:10:39 UTC
torbrowser-launcher-0.1.9-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/torbrowser-launcher-0.1.9-2.fc21

Comment 14 Fedora Update System 2015-03-09 08:30:39 UTC
torbrowser-launcher-0.1.9-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-03-13 17:24:41 UTC
torbrowser-launcher-0.1.9-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.